<script lang="ts">
  import SvelteMarkdown, { type Renderers } from 'svelte-markdown';
  import { renderers as defaultRenderers, marked } from '@utils/marked';

  export let source: string;
  export let extraRenderers: Partial<Renderers> = {};
  $: renderers = {
    ...defaultRenderers,
    ...extraRenderers,
  };

  $: tokens = marked.lexer(source);
  // debug logs
  // $: marked.walkTokens(tokens, (token) => {
  //   console.log('token', token);
  // });
  // $: console.log('tokens', tokens);
</script>

<SvelteMarkdown {renderers} source={tokens} />
